### Method

# Json Parser load_from_data

#### Declaration [src]

    gboolean
    json_parser_load_from_data (
      JsonParser* parser,
      const gchar* data,
      gssize length,
      GError** error
    )

#### Description [src]

Loads a JSON stream from a buffer and parses it.

You can call this function multiple times with the same parser, but the contents of the parser will be destroyed each time.

#### Parameters

`data`

  Type: `const gchar*`

  The buffer to parse.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `gssize`

  The length of the buffer, or -1 if it is `NUL` terminated.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the buffer was succesfully parsed.